Debian Bug report logs - #687401
scim-anthy: FTBFS: build-dependency not installable: libscim-dev (>= 1.4.14-2)

version graph

Package: src:scim-anthy; Maintainer for src:scim-anthy is Rolf Leggewie <foss@rolf.leggewie.biz>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 Sep 2012 13:24:05 UTC

Severity: serious

Tags: jessie, sid, wheezy

Found in version scim-anthy/1.2.7-5

Done: Rolf Leggewie <foss@rolf.leggewie.biz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ikuya Awashiro <ikuya@oooug.jp>:
Bug#687401; Package src:scim-anthy. (Wed, 12 Sep 2012 13:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Ikuya Awashiro <ikuya@oooug.jp>. (Wed, 12 Sep 2012 13:24:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: scim-anthy: FTBFS: build-dependency not installable: libscim-dev (>= 1.4.14-2)
Date: Wed, 12 Sep 2012 15:04:11 +0200
Source: scim-anthy
Version: 1.2.7-5
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120912 qa-ftbfs
Justification: FTBFS in wheezy on amd64

Hi,

During a rebuild of all packages in *wheezy*, your package failed to
build on amd64.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install scim-anthy build dependencies (apt-based resolver)                   │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-scim-anthy-dummy : Depends: libscim-dev (>= 1.4.14-2) but it is not going to be installed
> E: Unable to correct problems, you have held broken packages.
> apt-get failed.

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/09/12/scim-anthy_1.2.7-5_wheezy.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Information forwarded to debian-bugs-dist@lists.debian.org, Ikuya Awashiro <ikuya@oooug.jp>:
Bug#687401; Package src:scim-anthy. (Thu, 20 Sep 2012 05:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Ikuya Awashiro <ikuya@oooug.jp>. (Thu, 20 Sep 2012 05:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 687401@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org, scim@packages.debian.org
Cc: 687401@bugs.debian.org
Subject: unblock: scim/1.4.14-2
Date: Thu, 20 Sep 2012 14:52:16 +0900
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Hi release managers (and scim and scim-anthy maintainers),

 I've checked RC bug in scim-anthy in Wheezy (Bug#687401). 
 The changes in newest scim-anthy 1.2.7-5 is here.
> - scim (>= 1.4.6), libscim-dev (>= 1.4.6), autotools-dev, pkg-config,
> + scim (>= 1.4.6), libscim-dev (>= 1.4.14-2), autotools-dev, pkg-config,

 The reason is scim-anthy was unblocked (Bug#685036) and migrated
 to testing but scim (1.4.14-2) still stops in unstable.

 So, release managers, can you consider to unblock scim to fix RC as well?
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, Ikuya Awashiro <ikuya@oooug.jp>:
Bug#687401; Package src:scim-anthy. (Thu, 20 Sep 2012 13:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <foss@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Ikuya Awashiro <ikuya@oooug.jp>. (Thu, 20 Sep 2012 13:57:07 GMT) Full text and rfc822 format available.

Message #15 received at 687401@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <foss@rolf.leggewie.biz>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: scim@packages.debian.org, 687401@bugs.debian.org, 680335@bugs.debian.org, 688187@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>
Subject: Re: unblock: scim/1.4.14-2
Date: Thu, 20 Sep 2012 22:55:28 +0900
On 20.09.2012 14:52, Hideki Yamane wrote:
> The reason is scim-anthy was unblocked (Bug#685036) and migrated to
> testing but scim (1.4.14-2) still stops in unstable. So, release
> managers, can you consider to unblock scim to fix RC as well? 

Yamane-San,

thank you for your report.  Hello from Tokyo, how are you?  Your
analysis is spot on, scim-anthy fails to build from scratch due to a
newer scim version not having migrated yet from unstable to testing. 
I'll answer here hoping to save the release team a bit of time.

Scim already has an unblock request open for a while (bug 680335 which
also has some background information) .  The problem was externally
induced by a concurrent upload of a build dependency just before the
freeze, leading to an FTBFS for the version we uploaded just before the
deadline.  The fix for this was simple enough yet it went in after the
freeze, meaning that the release team now needs to review not only this
small fix but the changes we uploaded just before the freeze as well
:-(  For this they need more time, but I can assure you that they are
aware of the situation.

Regards

Rolf



Added blocking bug(s) of 687401: 688187 and 680335 Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sun, 23 Sep 2012 19:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ikuya Awashiro <ikuya@oooug.jp>:
Bug#687401; Package src:scim-anthy. (Sat, 13 Oct 2012 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Ikuya Awashiro <ikuya@oooug.jp>. (Sat, 13 Oct 2012 20:45:05 GMT) Full text and rfc822 format available.

Message #22 received at 687401@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 688187@bugs.debian.org, debian-release@lists.debian.org
Cc: 687401@bugs.debian.org, 676096@bugs.debian.org
Subject: Possible solutions for scim-anthy, scim-prime & scim in Wheezy
Date: Sat, 13 Oct 2012 21:41:36 +0100
[Message part 1 (text/plain, inline)]
I can't see any way for the release team to approve the unblock scim for
the following reasons:

0: it's a new upstream release which is deemed a "significant change"

1: the packaging system has changed to compat 9, another significant
change.

2: new binary packages have been introduced, a further "significant
change"

3: there is no RC bug fixed in scim itself by this upload

4: the RC bug which does exist (#687401) is, in my estimation,
artificial because there appears to be no functional reason for the
change in the build-dependency other than to work with a -dev package
which was converted to MultiArch unnecessarily. (There is no
specification for how to manage -dev packages for MultiArch currently,
only shared libraries and changing only the shared library would not
have caused problems with the reverse dependencies.) scim-anthy *could*
build against the version of scim already in testing if the special
handling for the multiarch'd libscim-dev package was removed from
debian/rules. So this upload doesn't fix the RC bug, it merely matches
what the RC buggy package was instructed to expect in order to meet the
changes in the scim package.

I have gone through the debdiff between the version of scim in wheezy
and the version in sid and I can't see how this meets the Wheezy Freeze
Policy [0] either. It fails Rule #1 - there are no bug fixes directly
within scim other than one RC bug introduced by the new upstream version
itself (#679724). It fails Rule #5 with three different levels of
significant changes. The new upstream release contains very large
amounts of new code, adding support for libraries and systems not
previously support by scim. A release freeze is *not* the time to test
such large changes within Debian.

I've checked through the one remaining option of using the versions in
Squeeze too. I've tried to build the version of scim-anthy in Squeeze
within Wheezy but it fails due to GTK3 issues (libscim-dev in Wheezy
requires libgtk3-dev. This raises a separate issue that some reverse
dependencies of libscim8c2a which is built from scim are linked against
libgtk2.0-0 when libscim8c2a itself is linked against libgtk-3-0 - a
situation which the Gtk maintainers warn will cause seg faults. This
arises partially because libscim-dev Depends on both libgtk2.0-dev and
libgtk-3-dev which itself is wrong.)

One of the packages affected by this is scim-prime but although there is
a fix in unstable, the NMU for scim-prime is *also* unsuitable for an
unblock due to substantial changes to the package including 3.0 quilt,
removal of dpatch and rewriting all of the existing patches. scim-prime
will also need to be removed from wheezy.

This rules out the slim option of rolling back to a point before all
these changes started by introducing an epoch based on the current scim
and scim-anthy packages in squeeze and reintroducing those through
unstable with suitable unblocks.

The only solution which I can see is that scim-anthy and scim-prime have
to be removed from testing and then introduced via wheezy-backports once
that becomes available. This will allow users to upgrade and receive the
extra hooks for gir*, gtk3 & Qt related packages. scim would not be
unblocked and would also have to be updated via backports.

[0] http://release.debian.org/wheezy/freeze_policy.html

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ikuya Awashiro <ikuya@oooug.jp>:
Bug#687401; Package src:scim-anthy. (Sat, 16 Mar 2013 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Ikuya Awashiro <ikuya@oooug.jp>. (Sat, 16 Mar 2013 15:36:04 GMT) Full text and rfc822 format available.

Message #27 received at 687401@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Rolf Leggewie <foss@rolf.leggewie.biz>, 680335-done@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, scim@packages.debian.org, 687401@bugs.debian.org, 688187@bugs.debian.org
Subject: Re: Bug#680335: unblock: scim/1.4.14-2
Date: Sat, 16 Mar 2013 16:32:39 +0100
[Message part 1 (text/plain, inline)]
On Thu, Sep 20, 2012 at 22:55:28 +0900, Rolf Leggewie wrote:

> On 20.09.2012 14:52, Hideki Yamane wrote:
> > The reason is scim-anthy was unblocked (Bug#685036) and migrated to
> > testing but scim (1.4.14-2) still stops in unstable. So, release
> > managers, can you consider to unblock scim to fix RC as well? 
> 
> Yamane-San,
> 
> thank you for your report.  Hello from Tokyo, how are you?  Your
> analysis is spot on, scim-anthy fails to build from scratch due to a
> newer scim version not having migrated yet from unstable to testing. 
> I'll answer here hoping to save the release team a bit of time.
> 
> Scim already has an unblock request open for a while (bug 680335 which
> also has some background information) .  The problem was externally
> induced by a concurrent upload of a build dependency just before the
> freeze, leading to an FTBFS for the version we uploaded just before the
> deadline.  The fix for this was simple enough yet it went in after the
> freeze, meaning that the release team now needs to review not only this
> small fix but the changes we uploaded just before the freeze as well
> :-(  For this they need more time, but I can assure you that they are
> aware of the situation.
> 
We're not going to unblock a new upstream release of scim, I'm afraid.
If there are RC issues in wheezy then they'll need package removals or
targetted fixes.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:39:24 GMT) Full text and rfc822 format available.

Reply sent to Rolf Leggewie <foss@rolf.leggewie.biz>:
You have taken responsibility. (Sat, 11 May 2013 04:33:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 11 May 2013 04:33:10 GMT) Full text and rfc822 format available.

Message #34 received at 687401-done@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <foss@rolf.leggewie.biz>
To: 687401-done@bugs.debian.org, codehelp@debian.org
Cc: Tz-Huan Huang <tzhuan@gmail.com>
Subject: multi-archified libscim-dev
Date: Sat, 11 May 2013 12:30:20 +0800
Hello,

this is Rolf, maintainer of scim and scim-anthy in Debian.  After the 
release of wheezy, I'd like to revisit ticket 687401.

Neil, you insinuated in your mail dated 13th of October 2012 that 
libscim-dev was unnecessarily multi-archified.  I admit that MA is 
always tough for me to get right.  libscim-dev was explicitly 
multi-archified in 3a8f75e2c5450ca4, released as 1.4.13-3.  I still 
believe that is correct since there are symbolic links from the package 
pointing to files in the libscim8c2a binary package which is 
multi-archified, hence it is my understanding that libscim-dev would 
need to be equally multi-archified.  Please kindly let me know if there 
is a better way to deal with this.

I'm closing bug 687401 as fixed since scim 1.4.14-2 has now migrated to 
testing.

Regards

Rolf



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Jun 2013 07:25:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:48:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.